*** sound/usb/quirks-table.h.old	2013-01-05 22:20:06.000000000 +0100
--- sound/usb/quirks-table.h	2013-01-06 20:11:31.573323046 +0100
***************
*** 324,329 ****
--- 324,359 ----
   * Roland/RolandED/Edirol/BOSS devices
   */
  {
+ 	USB_DEVICE(0x0582, 0x0138),
+ 	.driver_info = (unsigned long) & (const struct snd_usb_audio_quirk) {
+ 		.vendor_name = "Roland",
+ 		.product_name = "RC-300",
+ 		.ifnum = QUIRK_ANY_INTERFACE,
+ 		.type = QUIRK_COMPOSITE,
+ 		.data = (const struct snd_usb_audio_quirk[]) {
+ 			{
+ 				.ifnum = 0,
+ 				.type = QUIRK_IGNORE_INTERFACE
+ 			},
+ 			{
+ 			  .ifnum = 1, // OUT
+ 				.type = QUIRK_AUDIO_STANDARD_INTERFACE
+ 			},
+ 			{
+ 			  .ifnum = 2, // IN
+ 				.type = QUIRK_AUDIO_STANDARD_INTERFACE
+ 			},
+ 			{
+ 			  .ifnum = 3, // Midi
+ 				.type = QUIRK_MIDI_STANDARD_INTERFACE
+ 			},
+ 			{
+ 				.ifnum = -1
+ 			}
+ 		}
+ 	}
+ },
+ {
  	USB_DEVICE(0x0582, 0x0000),
  	.driver_info = (unsigned long) & (const struct snd_usb_audio_quirk) {
  		.vendor_name = "Roland",
